package com.loafle.overflow.module.apikey.dao;

import com.loafle.overflow.module.apikey.model.ApiKey;
import com.loafle.overflow.module.domain.model.Domain;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;


/**
 * Created by root on 17. 6. 1.
 */
@Repository
public interface ApiKeyDAO extends JpaRepository<ApiKey, Long> {

    ApiKey findByApiKey(String apiKey);

    ApiKey findByDomain(Domain domain);
}
