package com.loafle.overflow.module.discovery.model;

/**
 * Created by snoop on 17. 6. 27.
 */


import com.loafle.overflow.module.discovery.type.PortType;

import java.util.Date;
import java.util.List;

/**
 * Created by root on 17. 6. 4.
 */

public class Port {


    private long id;


    private Host host;
    public Host getHost() {
        return host;
    }

    public void setHost(Host host) {
        this.host = host;
    }

    private PortType portType;


    private int portNumber;



    private List<Service> services;

    public List<Service> getServices() {
        return services;
    }

    public void setServices(List<Service> services) {
        this.services = services;
    }


    private Date createDate;


    private Date updateDate;

    public Port() {}

    public Port(PortType type, int portNumber) {
        this.portType = type;
        this.portNumber = portNumber;
    }

    public Port(Host host, PortType type, int portNumber) {
        this.host = host;
        this.portType = type;
        this.portNumber = portNumber;
    }


    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public PortType getPortType() {
        return portType;
    }

    public void setPortType(PortType portType) {
        this.portType = portType;
    }

    public int getPortNumber() {
        return portNumber;
    }

    public void setPortNumber(int portNumber) {
        this.portNumber = portNumber;
    }



    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public void mappingChildren(Host discoveryHost) {
        this.setHost(discoveryHost);


        List<Service> discoveryServices = this.getServices();
        if (discoveryServices != null) {
            for (int z = 0 ; z < discoveryServices.size() ; ++z) {
                discoveryServices.get(z).setPort(this);
            }
        }
    }
}
